> ## Documentation Index
> Fetch the complete documentation index at: https://docs.maesn.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create contacts

## Field support per integration

<AccordionGroup>
  <Accordion title="Datev Rechnungswesen" icon="https://mintcdn.com/maesn/NQwZPkomn6wLid0x/logo/datev.svg?fit=max&auto=format&n=NQwZPkomn6wLid0x&q=85&s=5589154dcfa064e1d967a067e488896a" width="24" height="24" data-path="logo/datev.svg">
    <Note>
      This endpoints is asynchronous. To check the status of the request, use the `GET asyncTask` endpoint.

      For more info about asynchronous tasks visit the [`Asynchronous Task`](/async-task) section.
    </Note>

    <Note>
      If you're not using the [Interactive Authentication Flow](/authentication#interactive-authentication-flow), make sure the query parameter `companyId` is accurately populated with the appropriate company ID. You can obtain this value by using the `GET Companies` endpoint available under the Authentication section.
    </Note>

    Supported Request Parameters:

    <ResponseField name="accountNumberLength" type="number" required>
      The `accountNumberLength` field specifies the length of the G/L accounts.
      The value must match the configuration defined in the end user’s mandate settings within the DATEV application.
    </ResponseField>

    <ResponseField name="chartOfAccount" type="string" required>
      Available options: `SKR03`, `SKR04`, `SKR42`, `SKR51`, `SKR14`
    </ResponseField>

    <ResponseField name="entries" type="ContactEntryRequestDto[]">
      <Expandable title="properties">
        <ResponseField name="addresses" type="Address[]">
          <Expandable title="properties">
            <ResponseField name="addressLine1" type="string" />

            <ResponseField name="postalCode" type="string" />

            <ResponseField name="city" type="string" />

            <ResponseField name="countryCode" type="enum">
              Available options (ISO 3166-1 alpha-2):

              `AD`, `AE`, `AF`, `AG`, `AI`, `AL`, `AM`, `AO`, `AQ`, `AR`, `AS`, `AT`, `AU`, `AW`, `AX`, `AZ`, `BA`, `BB`, `BD`, `BE`, `BF`, `BG`, `BH`, `BI`, `BJ`, `BL`, `BM`, `BN`, `BO`, `BQ`, `BR`, `BS`, `BT`, `BV`, `BW`, `BY`, `BZ`, `CA`, `CC`, `CD`, `CF`, `CG`, `CH`, `CI`, `CK`, `CL`, `CM`, `CN`, `CO`, `CR`, `CU`, `CV`, `CW`, `CX`, `CY`, `CZ`, `DE`, `DJ`, `DK`, `DM`, `DO`, `DZ`, `EC`, `EE`, `EG`, `EH`, `ER`, `ES`, `ET`, `FI`, `FJ`, `FK`, `FM`, `FO`, `FR`, `GA`, `GB`, `GD`, `GE`, `GF`, `GG`, `GH`, `GI`, `GL`, `GM`, `GN`, `GP`, `GQ`, `GR`, `GS`, `GT`, `GU`, `GW`, `GY`, `HK`, `HM`, `HN`, `HR`, `HT`, `HU`, `ID`, `IE`, `IL`, `IM`, `IN`, `IO`, `IQ`, `IR`, `IS`, `IT`, `JE`, `JM`, `JO`, `JP`, `KE`, `KG`, `KH`, `KI`, `KM`, `KN`, `KP`, `KR`, `KW`, `KY`, `KZ`, `LA`, `LB`, `LC`, `LI`, `LK`, `LR`, `LS`, `LT`, `LU`, `LV`, `LY`, `MA`, `MC`, `MD`, `ME`, `MF`, `MG`, `MH`, `MK`, `ML`, `MM`, `MN`, `MO`, `MP`, `MQ`, `MR`, `MS`, `MT`, `MU`, `MV`, `MW`, `MX`, `MY`, `MZ`, `NA`, `NC`, `NE`, `NF`, `NG`, `NI`, `NL`, `NO`, `NP`, `NR`, `NU`, `NZ`, `OM`, `PA`, `PE`, `PF`, `PG`, `PH`, `PK`, `PL`, `PM`, `PN`, `PR`, `PT`, `PW`, `PY`, `QA`, `RE`, `RO`, `RS`, `RU`, `RW`, `SA`, `SB`, `SC`, `SD`, `SE`, `SG`, `SH`, `SI`, `SJ`, `SK`, `SL`, `SM`, `SN`, `SO`, `SR`, `SS`, `ST`, `SV`, `SX`, `SY`, `SZ`, `TC`, `TD`, `TF`, `TG`, `TH`, `TJ`, `TK`, `TL`, `TM`, `TN`, `TO`, `TR`, `TT`, `TV`, `TW`, `TZ`, `UA`, `UG`, `UM`, `US`, `UY`, `UZ`, `VA`, `VC`, `VE`, `VG`, `VI`, `VN`, `VU`, `WF`, `WS`, `YE`, `YT`, `ZA`, `ZM`, `ZW`
            </ResponseField>

            <ResponseField name="type" type="enum">
              Available options: `BILLING`, `WORK`
            </ResponseField>
          </Expandable>
        </ResponseField>

        <ResponseField name="accountNumber" type="number" required />

        <ResponseField name="bankAccounts" type="BankAccount[]">
          <Expandable title="properties">
            <ResponseField name="bic" type="string" />

            <ResponseField name="iban" type="string" />

            <ResponseField name="isMainAccount" type="boolean" />

            <ResponseField name="name" type="string" />
          </Expandable>
        </ResponseField>

        <ResponseField name="companyName" type="string" />

        <ResponseField name="contactPersons" type="ContactPerson[]">
          <Expandable title="properties">
            <ResponseField name="emailAddresses" type="EmailAddress[]">
              <Expandable title="properties">
                <ResponseField name="email" type="string" />

                <ResponseField name="type" type="enum">
                  Available options: `BUSINESS`
                </ResponseField>
              </Expandable>
            </ResponseField>

            <ResponseField name="firstName" type="string" />

            <ResponseField name="lastName" type="string" />

            <ResponseField name="phoneNumbers" type="PhoneNumber[]">
              <Expandable title="properties">
                <ResponseField name="number" type="string" />

                <ResponseField name="type" type="enum">
                  Available options: `BUSINESS`, `MOBILE`
                </ResponseField>
              </Expandable>
            </ResponseField>

            <ResponseField name="salutation" type="string" />
          </Expandable>
        </ResponseField>

        <ResponseField name="contactType" type="enum" required>
          Available options: `CONTACT_PERSON`, `COMPANY`
        </ResponseField>

        <ResponseField name="emailAddresses" type="EmailAddress[]">
          <Expandable title="properties">
            <ResponseField name="email" type="string" />

            <ResponseField name="type" type="enum">
              Available options: `BUSINESS`
            </ResponseField>
          </Expandable>
        </ResponseField>

        <ResponseField name="phoneNumbers" type="PhoneNumber[]">
          <Expandable title="properties">
            <ResponseField name="number" type="string" />

            <ResponseField name="type" type="enum">
              Available options: `BUSINESS`, `MOBILE`
            </ResponseField>
          </Expandable>
        </ResponseField>

        <ResponseField name="vatId" type="string" />
      </Expandable>
    </ResponseField>

    <ResponseField name="fiscalYearStartDate" type="string" required>
      YYYY-MM-DD date format, e.g., 2025-01-01

      The `fiscalYearStartDate` field should be set to the first day of the fiscal year, which is usually January 1st.
      If your fiscal year begins on a different date, please adjust this field accordingly.
    </ResponseField>

    <Note>
      If the provided date does not match the actual fiscal year start date, DATEV will not return an error code. However, the booking entries will not be posted in Rechnungswesen.
    </Note>
  </Accordion>
</AccordionGroup>
